<?php

load_language('theme.lang', PHPWG_THEMES_PATH.'stripped/');

include_once('conf.class.inc.php');

$config = new Conf();
$config->setFileName(PHPWG_ROOT_PATH."themes/stripped/conf/default.conf");
$config->read();
$config->setFileName(PHPWG_ROOT_PATH."local/themes/stripped/conf/local.conf");
$config->read(false);
 
$template->assign('options', $config->getConf());

$post=array();

if(isset($_POST['submit_stripped']))
{
	$post['hideMenu']=isset($_POST['f_hideMenu']);
	$post['animatedMenu']=isset($_POST['f_animatedMenu']);
	$post['animatedTabs']=isset($_POST['f_animatedTabs']);
	$post['replaceActionIcons']=isset($_POST['f_replaceActionIcons']);
	$post['showTitleOnBrowsePath']=isset($_POST['f_showTitleOnBrowsePath']);
	$post['showDescriptionInsteadOfTitle']=isset($_POST['f_showDescriptionInsteadOfTitle']);
	$post['infoTabAdminOnly']=isset($_POST['f_infoTabAdminOnly']);
	$post['imageAutosize']=isset($_POST['f_imageAutosize']);
	$post['imageAutosizeTitle']=isset($_POST['f_imageAutosizeTitle']);
	if (isset($_POST['f_imageAutosizeMargin'])) { $post['imageAutosizeMargin']=intval($_REQUEST['f_imageAutosizeMargin']); }
	if (isset($_POST['f_imageAutosizeMinHeight'])) { $post['imageAutosizeMinHeight']=intval($_REQUEST['f_imageAutosizeMinHeight']); }

	$config->setConf($post);
	$config->write();
	$template->assign('options', $post);

	array_push($page['infos'], l10n('stripped Configuration updated'));
}

	$template->set_filenames(array(
    'theme_admin_content' => dirname(__FILE__) . '/admin.tpl'));

	$template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
  
?>